﻿
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_AdminLayout.cshtml";
}
@*<h2>Index</h2>*@@section Scripts
{
    @Scripts.Render("~/bundles/anuserservice")
}
<div ng-controller="userserviceController">
    <div class="w3-container">
        <h2 align="center">مدیریت سرویهای کاربران</h2>
        <h5 align="center" ng-show="loading">در حال واکشی داده ها...<i class="fa fa-spinner fa-spin fa-2x"></i></h5>

        @*<User-form/>*@

        @*<a href="#"><i class="fa fa-2x fa-plus" ng-click="editUser('new')"></i></a>*@
        @*<button class="w3-btn w3-green w3-ripple" ng-click="editUser('new')">&#10010; ایجاد یک ورودی جدید</button>*@
        <button class="w3-btn w3-light-green w3-ripple" ng-click="editUserService('new')"><i class="glyphicon glyphicon-plus action-icon-form"></i> ایجاد یک ورودی جدید</button>
        <br />
        <br />
        <form>
            <div class="form-group">
                <div class="input-group">
                    <input type="text" class="form-control" placeholder="مورد جستجو را وارد کنید..." ng-model="query">
                    <div class="input-group-addon"><i class="fa fa-search w3-text-green action-icon-form"></i></div>
                </div>
            </div>
        </form>
        <table class="table table-striped table-hover table-responsive defultcursor">
            <thead>
                <tr class="w3-light-blue">
                    @*<th>
                            <a href="#" ng-click="sortType = 'ID'; sortReverse = !sortReverse">
                                کد
                                <span ng-show="sortType == 'ID' && !sortReverse" class="fa fa-sort-down"></span>
                                <span ng-show="sortType == 'ID' && sortReverse" class="fa fa-sort-up"></span>
                            </a>
                        </th>*@
                    <th ng-click="sort('UserServiceFullName')">
                        نام کاربر
                        <span class="glyphicon sort-icon" ng-show="sortKey=='UserServiceFullName'" ng-class="{'glyphicon-chevron-up':reverse,'glyphicon-chevron-down':!reverse}"></span>
                    </th>
                    <th ng-click="sort('RoleCaption')">
                        نقش
                        <span class="glyphicon sort-icon" ng-show="sortKey=='RoleCaption'" ng-class="{'glyphicon-chevron-up':reverse,'glyphicon-chevron-down':!reverse}"></span>
                    </th>
                    <th>فعالیت</th>
                </tr>
            </thead>
            <tbody>
                @*<tr class="defultcursor" ng-repeat="User in Users.slice(((currentPage-1)*itemsPerPage),
                    ((currentPage)*itemsPerPage)) | filter:myfilter  |orderBy:sortKey:reverse">*@
                <tr dir-paginate="userservice in userservices | filter:query  | orderBy:sortKey:reverse | itemsPerPage:viewby">
                    @*<td>
        {{userservice.ID}}
    </td>*@
                    <td style="width:15%">
                        {{userservice.UserServiceFullName}}
                    </td>
                    <td style="width:15%">
                        {{userservice.RoleCaption}}
                    </td>
                    <td style="width:10%">
                        <a href="#"><i class="glyphicon glyphicon-edit greencolor action-icon" ng-click="editUserService(userservice.UserID)"></i></a>
                        @*<a href="#"><i class="glyphicon glyphicon-remove redcolor action-icon" ng-click="deleteUserService(userservice.ID)"></i></a>*@
                        @*<button class="w3-btn w3-blue w3-ripple" ng-click="editUser(User.ID)">&#9998; ویرایش</button>
                            <button class="w3-btn w3-red w3-ripple" ng-click="deleteUser(User.ID)">&#10005; حذف</button>*@
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table defultcursor">
            <tr>
                <td width="30%">
                    <dir-pagination-controls max-size=maxSize
                                             direction-links="true"
                                             boundary-links="true">
                    </dir-pagination-controls>

                </td>
                <td width="25%">
                    <form user="form" class="form-inline">
                        <div class="form-group form-group-sm">
                            <label class="pagination">تعداد سطرهای قابل نمایش:</label>
                            <select class="form-control pagination" ng-model="viewby" ng-change="setItemsPerPage(viewby)" ng-options="item for item in viewByOption"></select>
                        </div>
                    </form>
                </td>
                <td width="15%">
                    <label class="pagination w3-text-brown">کل رکوردها: {{userservices.length}}</label>
                </td>
                <td width="20%">
                    <label class="pagination w3-text-deep-purple">رکوردهای قابل نمایش: {{(userservices|filter:query).length}}</label>
                </td>
            </tr>
        </table>
    </div>


</div>

